package com.example.android.skeletonapp;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.Window;
import android.widget.EditText;

public class SkeletonSubActivity extends Activity {

	
    public SkeletonSubActivity() {
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
    	String	str;

    	super.onCreate(savedInstanceState);

        // ʂ XML w肷
        getWindow().requestFeature(Window.FEATURE_LEFT_ICON);
        setContentView(R.layout.skeleton_sub_activity);
        getWindow().setFeatureDrawableResource( Window.FEATURE_LEFT_ICON, R.drawable.icon );
        
        // ^Cgݒ肷
        setTitle( R.string.title_sub );

		str = "";
        if(( savedInstanceState == null ) || ( savedInstanceState.isEmpty()) )
		{
			// Cegǉf[^o
        	if( getIntent().getExtras() != null )
        		str = getIntent().getExtras().getString( "INTENT_PARAM" );
		}
		
		// ҏWGAɒǉf[^\B
		EditText edit = (EditText)findViewById( R.id.EditText01 );
		edit.setText( str );
    }
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        super.onCreateOptionsMenu(menu);

    	MenuInflater inflater = getMenuInflater();
    	
    	inflater.inflate( R.menu.submenu, menu );
    	return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
        case R.id.menu_goto:
		{
			Intent intent = new Intent( this, SkeletonActivity.class );
			startActivity( intent );
			return true;
		}
        }
        return super.onOptionsItemSelected(item);
    }

}
